package com.cku.dao;

import org.apache.ibatis.annotations.Param;

import com.cku.model.CkuGjdl;
import com.cku.model.CkuGjdlWithBLOBs;

public interface CkuGjdlMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(CkuGjdlWithBLOBs record);

    int insertSelective(CkuGjdlWithBLOBs record);

    CkuGjdlWithBLOBs selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CkuGjdlWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(CkuGjdlWithBLOBs record);

    int updateByPrimaryKey(CkuGjdl record);

	CkuGjdl getLoginType(@Param("orderId")String orderId);
}